İçeriğe geç

Fibo Gen 1.5 Text to Image

Entegre et

Model kimliği bria/fibo-gen-1.5/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-gen-1.5/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,04 40 API kredisi · ≈ ₽4,29 Bu sayfada çalıştır

API anahtarı al
Bria AI Metinden Görsele #stylized#transform#realism

Referans görüntü olmadan düz veya JSON yapılandırılmış istemlerle 1MP ya da 4MP çıktı üreten metinden görüntü modeli

Bria AI · Görsel

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

Görsel üretmek için kullanılan istem.

aspect_ratio varsayılan 1:1

Görsel en-boy oranı; kullanılabilir değerler 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9.

resolution varsayılan 1MP

Üretilen görselin çözünürlüğü.

Gelişmiş seed · structured_prompt
varsayılan 5555

Tekrarlanabilir sonuçlar için rastgeleliği denetleyen seed.

Görsel üretimi için kullanılan yapılandırılmış istem.

POST /run/bria/fibo-gen-1.5/text-to-image?wait=20 fiyat → $0,04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-gen-1.5/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Fibo Gen 1.5 Text to Image hakkında

`prompt` veya `structured_prompt`tan, `resolution` 1MP ya da 4MP ve dokuz en-boy oranıyla görseller üretir. Bir `seed` sonuçları tekrarlanabilir kılar ve kullanılan yapılandırılmış istem döndürülür. Önceki Fibo'ya göre daha az girdi sunar; negatif istem, adım sayısı veya referans görsel yoktur.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptisteğe bağlı
Türstring | null
Görsel üretmek için kullanılan istem.
structured_promptisteğe bağlı
Türobject
Görsel üretimi için kullanılan yapılandırılmış istem.
structured_prompt.short_descriptionisteğe bağlı
Türstring | null
Amaçlanan çıktı görselinin kısa açıklaması.
structured_prompt.objectsisteğe bağlı
Türobject[]
Varsayılan[]
Oluşturulan görselin içeriğini liste olarak belirtin; her nesnenin özniteliklerini ve gösterilen diğer nesnelerle ilişkilerini kaydedin.
structured_prompt.objects[].descriptionisteğe bağlı
Türstring | null
Amaçlanan çıktı nesnesinin açıklaması.
structured_prompt.objects[].locationisteğe bağlı
Türstring | null
Nesnenin görsel içindeki konumu.
structured_prompt.objects[].relationshipgerekli
Türstring
Nesnenin görseldeki diğer nesnelerle ilişkisi.
structured_prompt.objects[].relative_sizeisteğe bağlı
Türstring | null
Nesnenin görsele göre boyutu.
structured_prompt.objects[].shape_and_coloristeğe bağlı
Türstring | null
Nesnenin şekli ve rengi.
structured_prompt.objects[].textureisteğe bağlı
Türstring | null
Nesnenin dokusu.
structured_prompt.objects[].appearance_detailsisteğe bağlı
Türstring | null
Nesnenin görünümünü açıklayan ayrıntılar.
structured_prompt.objects[].number_of_objectsisteğe bağlı
Türinteger | null
Görseldeki nesne sayısı.
structured_prompt.objects[].poseisteğe bağlı
Türstring | null
Gösterilen nesnenin pozu.
structured_prompt.objects[].expressionisteğe bağlı
Türstring | null
Gösterilen nesnenin ifadesi.
structured_prompt.objects[].clothingisteğe bağlı
Türstring | null
Gösterilen nesnenin giydiği kıyafet.
structured_prompt.objects[].actionisteğe bağlı
Türstring | null
Gösterilen nesnenin gerçekleştirdiği eylem.
structured_prompt.objects[].genderisteğe bağlı
Türstring | null
Gösterilen nesnenin cinsiyeti.
structured_prompt.objects[].skin_tone_and_textureisteğe bağlı
Türstring | null
Gösterilen nesnenin cilt dokusu ve tonu.
structured_prompt.objects[].orientationisteğe bağlı
Türstring | null
Gösterilen nesnenin yönelimi.
structured_prompt.background_settingisteğe bağlı
Türstring | null
Oluşturulan görselin arka plan ortamı.
structured_prompt.lightingisteğe bağlı
Türobject
Oluşturulan görselin aydınlatması.
structured_prompt.lighting.conditionsisteğe bağlı
Türstring | null
Oluşturulan görselin aydınlatma koşulları.
structured_prompt.lighting.directionisteğe bağlı
Türstring | null
Oluşturulan görselin aydınlatma yönü.
structured_prompt.lighting.shadowsisteğe bağlı
Türstring | null
Oluşturulan görselde gösterilecek gölgeler.
structured_prompt.aestheticsisteğe bağlı
Türobject
Oluşturulan görselin estetik nitelikleri.
structured_prompt.aesthetics.compositionisteğe bağlı
Türstring | null
Oluşturulan görselin kompozisyonu.
structured_prompt.aesthetics.color_schemeisteğe bağlı
Türstring | null
Oluşturulan görselin renk paleti.
structured_prompt.aesthetics.mood_atmosphereisteğe bağlı
Türstring | null
Oluşturulan görselin ruh hâli ve atmosferi.
structured_prompt.aesthetics.aesthetic_scoreisteğe bağlı
Türstring | null
Üretilmekte olan görselin estetik puanı.
structured_prompt.aesthetics.preference_scoreisteğe bağlı
Türstring | null
Üretilmekte olan görselin tercih puanı.
structured_prompt.photographic_characteristicsisteğe bağlı
Türobject
Oluşturulan görselin fotoğrafik özellikleri.
structured_prompt.photographic_characteristics.depth_of_fieldisteğe bağlı
Türstring | null
Oluşturulan görselin alan derinliği.
structured_prompt.photographic_characteristics.focusisteğe bağlı
Türstring | null
Oluşturulan görselin odağı.
structured_prompt.photographic_characteristics.camera_angleisteğe bağlı
Türstring | null
Oluşturulan görselin kamera açısı.
structured_prompt.photographic_characteristics.lens_focal_lengthisteğe bağlı
Türstring | null
Odak uzaklığı olarak ifade edilen, oluşturulan görselin lens ayarı.
structured_prompt.style_mediumisteğe bağlı
Türstring | null
Oluşturulan görselin sanatsal ortamı.
structured_prompt.text_renderisteğe bağlı
Türany[]
Varsayılan[]
Görsele eklenecek metin girdilerinin listesi.
structured_prompt.contextisteğe bağlı
Türstring | null
Oluşturulan görselin bağlamı.
structured_prompt.artistic_styleisteğe bağlı
Türstring | null
Oluşturulan görselin sanatsal stili.
seedisteğe bağlı
Türinteger
Varsayılan5555
Tekrarlanabilir sonuçlar için rastgeleliği denetleyen seed.
aspect_ratioisteğe bağlı
Türenum
Varsayılan1:1
1:12:33:23:44:34:55:49:1616:9
Görsel en-boy oranı; kullanılabilir değerler 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9.
resolutionisteğe bağlı
Türenum
Varsayılan1MP
1MP4MP
Üretilen görselin çözünürlüğü.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-gen-1.5/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {}
    ],
    "structured_prompt": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
image
object {url, content_type, file_name, file_size, width, height}Model tarafından üretilen görsel.
images
array of objectÜretimle oluşturulan görseller.
structured_prompt
objectŞu anda kullanılan istem.

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/bria/fibo-gen-1.5/text-to-image.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt